AuthenticatorControl (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert.crmf

## Class AuthenticatorControl

- java.lang.Object
- - org.bouncycastle.cert.crmf.AuthenticatorControl

- All Implemented Interfaces:
    Control

      public class AuthenticatorControl
      extends java.lang.Object
      implements Control

  Carrier for an authenticator control.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticatorControl(org.bouncycastle.asn1.DERUTF8String token)` Basic constructor - build from a UTF-8 string representing the token.
    `AuthenticatorControl(java.lang.String token)` Basic constructor - build from a string representing the token.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.ASN1ObjectIdentifier` | `getType()` Return the type of this control.
    `org.bouncycastle.asn1.ASN1Encodable` | `getValue()` Return the token associated with this control (a UTF8String).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticatorControl

          public AuthenticatorControl(org.bouncycastle.asn1.DERUTF8String token)

      Basic constructor - build from a UTF-8 string representing the token.
      Parameters:
        `token` - UTF-8 string representing the token.

    - #### AuthenticatorControl

          public AuthenticatorControl(java.lang.String token)

      Basic constructor - build from a string representing the token.
      Parameters:
        `token` - string representing the token.

  - ### Method Detail

    - #### getType

          public org.bouncycastle.asn1.ASN1ObjectIdentifier getType()

      Return the type of this control.
      Specified by:
        `getType` in interface `Control`
      Returns:
        CRMFObjectIdentifiers.id_regCtrl_authenticator

    - #### getValue

          public org.bouncycastle.asn1.ASN1Encodable getValue()

      Return the token associated with this control (a UTF8String).
      Specified by:
        `getValue` in interface `Control`
      Returns:
        a UTF8String.